Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class ValueTypeConstraint

    java.lang.Object
      edu.stanford.smi.protege.model.AbstractFacetConstraint
          edu.stanford.smi.protege.model.ValueTypeConstraint

All Implemented Interfaces:
  FacetConstraint, Serializable

    public class ValueTypeConstraint

extends AbstractFacetConstraint

Constraint that checks a set of values to determine if they are of the right type for a slot. This class also contains a bunch of helper methods for handling the bizarre storage format of the VALUE-TYPE slot.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`ValueTypeConstraint()`

Method Summary
`static Collection` | `getAllowedClses(Collection bindingValue)`
`static Collection` | `getAllowedParents(Collection bindingValue)`
`static Collection` | `getAllowedValues(Collection bindingValue)`
`String` | `getInvalidValuesText(Frame frame, Slot slot, Collection slotValues, Collection facetValues)`
`String` | `getInvalidValueText(Frame frame, Slot slot, Object value, Collection facetValues)`
`static ValueType` | `getType(Collection bindingValue)`
`static Collection` | `getValues()`
`static Collection` | `getValues(ValueType type)`
`static List` | `getValues(ValueType type, Collection secondaryValues)`
`Collection` | `resolve(Collection existingValues, Collection newValues)`

Methods inherited from class edu.stanford.smi.protege.model.AbstractFacetConstraint
`areValidValues, equals, isValidValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueTypeConstraint

    public ValueTypeConstraint()

Method Detail

### getAllowedClses

    public static Collection getAllowedClses(Collection bindingValue)

### getAllowedParents

    public static Collection getAllowedParents(Collection bindingValue)

### getAllowedValues

    public static Collection getAllowedValues(Collection bindingValue)

### getInvalidValuesText

    public String getInvalidValuesText(Frame frame,
                                       Slot slot,
                                       Collection slotValues,
                                       Collection facetValues)

### getInvalidValueText

    public String getInvalidValueText(Frame frame,
                                      Slot slot,
                                      Object value,
                                      Collection facetValues)

### getType

    public static ValueType getType(Collection bindingValue)

### getValues

    public static Collection getValues()

### getValues

    public static Collection getValues(ValueType type)

### getValues

    public static List getValues(ValueType type,
                                 Collection secondaryValues)

### resolve

    public Collection resolve(Collection existingValues,
                              Collection newValues)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.